Bug 520148 - g-v-c does not show 'base volume' on volume sliders
Summary: g-v-c does not show 'base volume' on volume sliders
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-media
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-28 15:59 UTC by Bill Nottingham
Modified: 2014-03-17 03:20 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-07 10:05:07 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 591285 None None None Never

Description Bill Nottingham 2009-08-28 15:59:10 UTC
Description of problem:

When adjusting the PCM mixer slider of my hardware (Intel HDA), the '75%' level is 0dB gain.

If it's adjusted higher, it starts causing distortion.

As PA adjusts the PCM value when doing volume adjustments, this means that it can set the volume this high, degrading the sound output.

Is there a way to have PA essentailly 'cap' its raising of the PCM volume at 75% (config file or otherwise)? I'm not finding one.

Version-Release number of selected component (if applicable):

pulseaudio-0.9.16-10.test6.fc12.x86_64

Comment 1 Lennart Poettering 2009-08-28 16:27:43 UTC
pavucontrol shows the "base" volume on the slider, which is where PCM and master are at what alsa calls 0dB.  Just make sure not to move the slider higher than this position and you are safe.

g-v-c unfortunately does not show the position of the "base" volume on its sliders. It does do that for recording, but not for playback. It would be good if g-v-c did for both.

Will reassign to gnome-media.

Comment 2 Lennart Poettering 2009-08-28 20:59:52 UTC
You can use "pacmd list-sinks" to check whether your volume is higher than the 'base' volume.

Comment 3 Bastien Nocera 2009-09-16 16:28:46 UTC
This bug is pretty much the same:
https://bugzilla.gnome.org/show_bug.cgi?id=591285

Can you please attach the output of "pacmd list-sinks" as requested by Lennart?

If the base volume is different from the "100%" volume, then you'd see an "unamplified" with the upstream patch.

Comment 4 Bill Nottingham 2009-09-16 18:24:21 UTC
$ pacmd list-sinks
Welcome to PulseAudio! Use "help" for usage information.
>>> 1 sink(s) available.
  * index: 0
	name: <alsa_output.pci-0000_00_1b.0.analog-stereo>
	driver: <module-alsa-card.c>
	flags: HARDWARE HW_MUTE_CTRL HW_VOLUME_CTRL DECIBEL_VOLUME LATENCY FLAT_VOLUME DYNAMIC_LATENCY
	state: RUNNING
	suspend cause: 
	priority: 9959
	volume: 0:  56% 1:  56%
	        0: -15.00 dB 1: -15.00 dB
	        balance 0.00
	base volume:  56%
	             -15.00 dB

alsamixer says the hw Master is 97 (0dB), PCM 74 (0dB).

Comment 5 Bastien Nocera 2009-09-16 18:36:31 UTC
The upstream bug should fix it. I'll do a build for you to test when I've checked it doesn't have side-effects.

Comment 6 Matthias Clasen 2009-09-29 17:57:31 UTC
Bastien, any update on this ?

Comment 7 Bastien Nocera 2009-10-07 10:05:07 UTC
Fixed in 2.28.1 builds across F-11, F-12 and rawhide.


Note You need to log in before you can comment on or make changes to this bug.